lp:ubuntu/trusty-security/mariadb-5.5

Created by Ubuntu Package Importer on 2014-05-05 and last modified on 2017-01-25
Get this branch:
bzr branch lp:ubuntu/trusty-security/mariadb-5.5
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

19. By Otto Kekäläinen <email address hidden> on 2017-01-19

* SECURITY UPDATE: New upstream release 5.5.54. Includes fixes for the
  following security vulnerabilities (LP: #1657594):
  - CVE-2017-3318
  - CVE-2017-3317
  - CVE-2017-3312
  - CVE-2017-3291
  - CVE-2017-3265
  - CVE-2017-3258
  - CVE-2017-3244
  - CVE-2017-3243
  - CVE-2017-3238
  - CVE-2016-6664

18. By Otto Kekäläinen <email address hidden> on 2016-10-31

* SECURITY UPDATE: New upstream release 5.5.53. Includes fixes for the
  following security vulnerabilities (LP: #1638125):
  - CVE-2016-7440
  - CVE-2016-5584
* Update previous changelog entries to contain new CVE identifiers

17. By Otto Kekäläinen <email address hidden> on 2016-09-14

* SECURITY UPDATE: New upstream release 5.5.52 (LP: #1605493)
  - Latest maintenance release includes only fixes to serious bugs.
* Previous release 5.5.51 included included fixes for
  the following security vulnerabilities:
  - CVE-2016-6662
* Previous release 5.5.50 included included fixes for
  the following security vulnerabilities:
  - CVE-2016-5440
  - CVE-2016-3615
  - CVE-2016-3521
  - CVE-2016-3477
* Update previous changelog entries to contain new CVE identifiers

16. By Otto Kekäläinen <email address hidden> on 2016-04-22

* SECURITY UPDATE: New upstream release 5.5.49 (LP: #1573761)
  - CVE-2016-0647
  - CVE-2016-0648
  - CVE-2016-0666
  - CVE-2016-0643
* After the release of 5.5.49 it was announced that 5.5.48 included fixes for
  the following security vulnerabilities:
  - CVE-2016-0640
  - CVE-2016-0644
  - CVE-2016-0646
  - CVE-2016-0649
  - CVE-2016-0650
  - CVE-2016-0641
* Updated previous changelog entries to contain new CVE identifiers.

15. By Otto Kekäläinen on 2015-12-10

* SECURITY UPDATE: New upstream release 5.5.47
  - CVE-2016-0546
  - CVE-2016-0505
  - CVE-2016-0596
  - CVE-2016-0597
  - CVE-2016-0616
  - CVE-2016-0598
  - CVE-2016-0600
  - CVE-2016-0606
  - CVE-2016-0608
  - CVE-2016-0609
  - CVE-2016-2047
  - Adds the mariadb-slow.log into the logrotate file, as the file
    name mariadb-slow.log is the log name in the default config file.

14. By Otto Kekäläinen on 2015-11-03

* SECURITY UPDATE: Update to 5.5.46 to fix security issues (LP: #1512241):
  - CVE-2015-4913
  - CVE-2015-4870
  - CVE-2015-4861
  - CVE-2015-4858
  - CVE-2015-4836
  - CVE-2015-4830
  - CVE-2015-4826
  - CVE-2015-4815
  - CVE-2015-4807
  - CVE-2015-4802
  - CVE-2015-4792
* Upstream release 5.5.45 fixes for the following security vulnerabilities:
  - CVE-2015-4816
  - CVE-2015-4819
  - CVE-2015-4879
* Update new Oracle CVE identifiers to old MariaDB changelog entries
* New patch: Extend date in test suite so that main.events_1 will pass

13. By Otto Kekäläinen on 2015-06-13

* SECURITY UPDATE: Update to 5.5.44 to fix security issues (LP: #1464895):
  - CVE-2015-3152
* Upstream also includes lots of line ending changes (from CRLF -> LF)
* Removed hotfix patch now included in upstream release (MDEV-8115)

12. By Otto Kekäläinen on 2015-05-05

* SECURITY UPDATE: Update to 5.5.43 to fix security issues (LP: #1451677):
  - CVE-2015-0501
  - CVE-2015-2571
  - CVE-2015-0505
  - CVE-2015-0499
* Hotfix patch to fix the server crash caused by mysql_upgrade (MDEV-8115)

11. By Otto Kekäläinen on 2015-02-04

Critical backport from 10.0 (commit 439123d):
Fix mariadb-server-5.5.postinst so that the flag removal will not emit
an error code if there are no previous debian-*.flag files (LP: #1417917)

10. By Otto Kekäläinen on 2015-01-27

* SECURITY UPDATE: Update to 5.5.41 to fix security issues (LP: #1414755)
  - CVE-2015-0411
  - CVE-2015-0382
  - CVE-2015-0381
  - CVE-2015-0432
  - CVE-2014-6568
  - CVE-2015-0374
* As approved by Seth Arnold, this security update also imports the latest
  mariadb-5.5 packaging from Debian which includes useful and low-risk
  fixes:
  - Updated Dutch translation by Frans Spiesschaert
  - Updated control file so that mariadb-client-5.5 breaks and replaces
    the package mariadb-server-5.5 to allow overwriting the innochecksum
    man page file which has changed location (LP: #1368124) as per
    doc https://www.debian.org/doc/debian-policy/ch-relationships.html#s7.6.1
  - Backported the fix of #770177 from 10.0 to 5.5 so that the migration
    question will not be asked repeatedly. (LP: #1392539)
 * Close delta between 14.10 and 14.04 in regards of packaging.
 * Backported new cacert.pem etc from 5.5 the replace the expired ones

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/mariadb-5.5
This branch contains Public information 
Everyone can see this information.

Subscribers